<div>
  <h2 id="page-heading" data-cy="CoursierHeading">
    <span jhiTranslate="blogApp.coursier.home.title">Coursiers</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="blogApp.coursier.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-coursier"
        [routerLink]="['/coursier/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="blogApp.coursier.home.createLabel"> Créer un nouveau Coursier </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="coursiers?.length === 0">
    <span jhiTranslate="blogApp.coursier.home.notFound">Aucun Coursier trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="coursiers && coursiers.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="nbcourse">
            <div class="d-flex">
              <span jhiTranslate="blogApp.coursier.nbcourse">Nbcourse</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="secteur">
            <div class="d-flex">
              <span jhiTranslate="blogApp.coursier.secteur">Secteur</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="utilisateur.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.coursier.utilisateur">Utilisateur</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="panier.id">
            <div class="d-flex">
              <span jhiTranslate="blogApp.coursier.panier">Panier</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let coursier of coursiers; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/coursier', coursier.id, 'view']">{{ coursier.id }}</a>
          </td>
          <td>{{ coursier.nbcourse }}</td>
          <td>{{ coursier.secteur }}</td>
          <td>
            <div *ngIf="coursier.utilisateur">
              <a [routerLink]="['/utilisateur', coursier.utilisateur.id, 'view']">{{ coursier.utilisateur.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="coursier.panier">
              <a [routerLink]="['/panier', coursier.panier.id, 'view']">{{ coursier.panier.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/coursier', coursier.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/coursier', coursier.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(coursier)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
